DealInstallments

Deal installments are scheduled payment entries attached to a deal, enabling split payment arrangements.

List installments added to a list of deals

Copy link

Lists installments attached to a list of deals.

Only available in Growth and above plans.

Cost

10

Request
GET

/api/v2/deals/installments

Query parameters

deal_ids

array

required

An array of integers with the IDs of the deals for which the attached installments will be returned. A maximum of 100 deal IDs can be provided.

cursor

string

For pagination, the marker (an opaque string value) representing the first item on the next page

limit

integer

For pagination, the limit of entries to be returned. If not provided, 100 items will be returned. Please note that a maximum value of 500 is allowed.

sort_by

string

The field to sort by. Supported fields: id, billing_date, deal_id.

Default

id

Values

id

billing_date

deal_id

sort_direction

string

The sorting direction. Supported values: asc, desc.

Default

asc

Values

asc

desc

Response
200

OK

Expand all
Copy code
    • true
    • [ ... ]

    Add an installment to a deal

    Copy link

    Adds an installment to a deal.

    An installment can only be added if the deal includes at least one one-time product. If the deal contains at least one recurring product, adding installments is not allowed.

    Only available in Growth and above plans.

    Cost

    5

    Request
    POST

    /api/v2/deals/{id}/installments

    Path parameters

    id

    integer

    required

    The ID of the deal

    Body parameters

    application/json

    description

    string

    required

    The name of the installment.

    amount

    number

    required

    The installment amount. Must be a positive number (excluding 0).

    billing_date

    string

    required

    The date on which the installment will be charged. Must be in the format YYYY-MM-DD.

    Response
    200

    OK

    Expand all
    Copy code
      • true
      • { ... }

      Update an installment added to a deal

      Copy link

      Edits an installment added to a deal.

      Only available in Growth and above plans.

      Cost

      5

      Request
      PATCH

      /api/v2/deals/{id}/installments/{installment_id}

      Path parameters

      id

      integer

      required

      The ID of the deal

      installment_id

      integer

      required

      The ID of the installment

      Body parameters

      application/json

      description

      string

      The name of the installment.

      amount

      number

      The installment amount. Must be a positive number (excluding 0).

      billing_date

      string

      The date on which the installment will be charged. Must be in the format YYYY-MM-DD.

      Response
      200

      OK

      Expand all
      Copy code
        • true
        • { ... }

        Delete an installment from a deal

        Copy link

        Removes an installment from a deal.

        Only available in Growth and above plans.

        Cost

        3

        Request
        DELETE

        /api/v2/deals/{id}/installments/{installment_id}

        Path parameters

        id

        integer

        required

        The ID of the deal

        installment_id

        integer

        required

        The ID of the installment

        Response
        200

        OK

        Expand all
        Copy code
          • true
          • { ... }

          Subscribe to Pipedrive’s Developer Newsletter